AplasAplas API Reference

Update a map partially

PATCH
/map/{mapId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

mapId*string

The id of the map

Request Body

application/json

The map to update (partial properties allowed)

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://api.au.aplas.com/api/v2/map/id" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Map A",    "description": "More information",    "applicationFilter": "mapSize = \'small\'",    "indexId": "id_index",    "tagGroupId": "id_tag_group"  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}